You need to enable JavaScript to run this app.
Torch Object Storage

Torch Object Storage

Copy page
Download PDF
Vector bucket
ListVectorBuckets
Copy page
Download PDF
ListVectorBuckets
Description​
List vector buckets.​
Request syntax​
The endpoint must use the Region Endpoint.​
​
POST /ListVectorBuckets HTTP/1.1​
Host: tosvectors-cn-beijing.volces.com​
Authorization: authorization string​
Date: Mon, 10 Dec 2025 12:49:14 GMT​
​
{​
"maxResults": 2​
}​
​
Request parameters and headers ​
None.​
Request body elements​
​
Field name​
Type​
Required​
Example value​
Description​
maxResults​
integer​
No​
5​
Maximum number of vector buckets returned in the response. Defaults to returning 100 items if not set.​
Range: minimum 1, maximum 500.​
nextToken​
String​
No​
dGVzdC12ZWN0b3ItYmt0MQ==​
Previous pagination token. Used to fetch the next page of results.​
Length limit: minimum 1, maximum 512.​
prefix​
String​
No​
test​
Limit response to vector buckets starting with the specified prefix.​
Length limit: minimum 1, maximum 63.​
​
Response headers​
For common response headers, see Common parameters.​
Response body elements​
If the operation succeeds, the service returns an HTTP 200 response along with the following response body elements.​
If the operation fails, it returns the error code defined in the Response code.​
​
Field name​
Type​
Example value​
Description​
nextToken​
String​
dGVzdC12ZWN0b3ItYmt0MQ==​
This element appears in the response when more buckets need to be listed through pagination. This token is used to retrieve the next page of results.​
Length limit: minimum 1, maximum 512.​
vectorBuckets​
VectorBucketSummary[]​
See the struct definition below​
List of vector buckets owned by the requester.​
​
VectorBucketSummary is defined as follows:​
​
Field name​
Type​
Example value​
Description​
creationTime​
number​
1765792988​
The time when the bucket was created.​
vectorBucketTrn​
String​
trn:tosvectors:cn-beijing:210676****:bucket/test-vector-bucket​
TRN of the vector storage bucket.​
vectorBucketName​
String​
test-vector-bucket​
Name of the vector bucket.​
projectName​
String​
default​
Project​
​
Sample request​
​
POST /ListVectorBuckets HTTP/1.1​
Host: tosvectors-cn-beijing.volces.com​
Authorization: authorization string​
Date: Mon, 10 Dec 2025 12:49:14 GMT​
​
{​
"maxResults": 1​
}​
​
Sample response​
​
HTTP/1.1 200 OK​
x-tos-id-2: 797014003c90a9b694003c9-b15a995-1vV80n-CVB-cb-tos-1az-front-azd-vectors-2 ​
x-tos-request-id: 797014003c90a9b694003c9-b15a995-1vV80n-CVB-cb-tos-1az-front-azd-vectors-2 ​
Date: Mon, 10 Dec 2025 12:49:14 GMT​
server: TosServer​
Content-Length: 191​
Content-Type: application/json​
​
{​
"nextToken": "dGVzdC12ZWN0b3ItYmt0MQ==",​
"vectorBuckets": [​
{​
"creationTime": 1765174060,​
"vectorBucketTrn": "trn:tosvectors:cn-beijing:1111:bucket/test-vector-bkt1",​
"vectorBucketName": "test-vector-bkt1",​
"projectName": "default"​
}​
]​
}​
​
​
Last updated: 2026.01.04 14:21:23